<?php
// Access Logger Track Log
class ALTLog{
    var $time;
    var $ip;
    var $accUrl;
    var $refUrl;
    
    // set track log
    function ALTLog($str){
        $log_info = explode("\t",$str);
        $this->time = trim($log_info[1]);
        $this->ip = trim($log_info[2]);
        $this->accUrl = trim($log_info[3]);
        $this->refUrl = trim($log_info[4]);
    }
    
    // get time stamp
    function getTimeStamp(){
        $time = explode(" ", $this->time);
        $d = explode("-", $time[0]);
        $t = explode(":", $time[1]);
        if(!isset($time[2])){
            $time[2] = "00";
        }
        $time_stamp = mktime((int)$t[0],(int)$t[1],(int)$t[2],(int)$d[1],(int)$d[2],(int)$d[0]);
        return $time_stamp;
    }
    
    // get hour
    function getHour(){
        $time = explode(" ", $this->time);
        $t = explode(":", $time[1]);
        return $t[0];
    }
    
    // get infomation of track log
    function getTrackInfo($mode){
        switch($mode){
            case "TimeStamp":
                return $this->getTimeStamp();
            case "Hour":
                return $this->getHour();
            case "Time":
                return $this->time;
            case "Ip":
                return $this->ip;
            case "AccUrl":
                return $this->accUrl;
            case "RefUrl":
                return $this->refUrl;
            default:
                return false;
        }
    }
}
?>
