<?php
// Access Logger Month Log
include_once("AL_conf.php");
include_once("ALMLog.php");

class ALYLog{
    var $mLog = array();
    
    function ALYLog(){ // $month: YYYY-mm
        global $AL_logdir;
        if ($dir = @opendir("../".$AL_logdir)) {
            while (($file = readdir($dir)) != false) {
                if(ereg("[0-9]{4}-[0-9]{2}",$file)){
                    $m_log = new ALMLog($file);
                    $this->mLog += array($file => $m_log);
                }
            }  
            closedir($dir);
        }
    }
    
    // get the count of each months
    function getMonth(){
        $month_sess = array();
        $month_pv = array();
        $m_log_arr = $this->mLog;
        while(list($m_key,$m_log) = each($m_log_arr)){
            $days = $m_log->getDay();
            $d_sess = $days[0];
            $d_pv = $days[1];
            $m_sess = array_sum($d_sess);
            $month_sess += array($m_key => $m_sess);
            $m_pv = array_sum($d_pv);
            $month_pv += array($m_key => $m_pv);
        }
        return array($month_sess,$month_pv);
    }
    
    // get log of a month
    function getMLog($date){ // YYYY-mm-dd
        $m_index = substr($date, 0, 7);
        $m_log = $this->mLog[$m_index];
        return $m_log;
    }
}
?>
