<?php
include_once("ALYLog.php");
include_once("ALMLog.php");
include_once("ALWLog.php");

$relative_addr = "../..";

// show access count of hours
function show_hour($hour, $title){ // array $hour
    global $AL_offset;
    global $AL_trag;
    echo "<table width=\"500\" bgcolor=\"#ffffff\" border=\"1\" cellspacing=\"0\" cellpadding=\"0\">\n";
    echo "  <tr>\n";
    echo "    <td colspan=\"2\" style=\"padding:3px;\"><strong>".$title."</strong></td>\n";
    echo "  </tr>\n";
    if(count($hour[0]) == 0){
        echo "</table>\n";
        echo "<div>There is no data.</div>\n";
        return;
    }
    
    $max = max($hour[1]);
    if($max > 0){
        $digit = ceil(log10($max));
        if($digit <= 1){
            $digit = 2;
        }
        $pow10 = pow(10,$digit - 1);
        $upper = ceil($max / $pow10) * $pow10;
        $base = 120 / $upper;
    }

    echo "  <tr>\n";
    echo "    <td width=\"41\">\n";
    echo "    <table width=\"41\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\n";
    echo "      <tr height=\"22\">\n";
    echo "        <td></td>\n";
    echo "      </tr>\n";
    echo "      <tr height=\"60\">\n";
    echo "        <td valign=\"top\" align=\"center\"><strong>".$upper."</strong></td>\n";
    echo "      </tr>\n";
    echo "      <tr height=\"70\">\n";
    echo "        <td valign=\"top\" align=\"center\"><strong>".($upper/2)."</strong></td>\n";
    echo "      </tr>\n";
    echo "      <tr height=\"20\">\n";
    echo "        <td align=\"center\" style=\"background:#eee;\">H</td>\n";
    echo "      </tr>\n";
    echo "    </table>\n";
    echo "    </td>\n";
    echo "    <td width=\"456\">\n";
    echo "    <table width=\"456\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\n";
    echo "      <tr height=\"152\" style=\"background:url(img/grid.gif);\">\n";
    for($i=0; $i<24; ++$i){
        $h = ($i + $AL_offset - $AL_trag) % 24;
        $h = (string)(floor($h/10)).(string)($h%10);
        $hour_sess = (int)$hour[0][$h];
        $hour_pv = (int)$hour[1][$h];
        echo "        <td width=\"19\" valign=\"bottom\" align=\"center\" style=\"font:11px;line-height:1;\">";
        if($hour_pv > 0){
            echo "<span style=\"color:#00f\">".substr((string)$hour_pv,0,2)."</span><br>";
        }
        if($hour_sess > 0){
            echo "<span style=\"color:#080\">".substr((string)$hour_sess,0,2)."</span><br>";
        }
        echo "<img src=\"img/vline_bl.gif\" width=\"6\" height=\"";
        echo round(2 + $base * $hour_pv);
        echo "\" alt=\"page view: ".$hour_pv." / session: ".$hour_sess."\">";
        echo "<img src=\"../dummy.gif\" border=\"0\" width=\"1\" height=\"";
        echo round(2 + $base * $hour_sess);
        echo "\" alt=\"page view: ".$hour_pv." / session: ".$hour_sess."\">";
        echo "<img src=\"img/vline_gr.gif\" width=\"6\" height=\"";
        echo round(2 + $base * $hour_sess);
        echo "\" alt=\"page view: ".$hour_pv." / session: ".$hour_sess."\"></td>\n";
    }
    echo "      </tr>\n";
    echo "      <tr height=\"20\" style=\"background:#eee;\">\n";
    for($i=0; $i<24; ++$i){
        $h = ($i + $AL_offset - $AL_trag) % 24;
        echo "        <td align=\"center\">".$h."</td>\n";
    }
    echo "      </tr>\n";
    echo "    </table>\n";
    echo "    </td>\n";
    echo "  </tr>\n";
    echo "  <tr>\n";
    $sum[0] = array_sum($hour[0]);
    $average[0] = round($sum[0] * 10 / 24) / 10;
    $sum[1] = array_sum($hour[1]);
    $average[1] = round($sum[1] * 10 / 24) / 10;
    echo "    <td colspan=\"2\" align=\"right\">\n";
    echo "    <table>";
    echo "      <tr>\n";
    echo "        <td><strong style=\"color:#00f\">PV</strong></td>\n";
    echo "        <td>Sum: ".$sum[1]."</td>\n";
    echo "        <td>Avrg: ".$average[1]."</td>\n";
    echo "        <td>&nbsp;</td>\n";
    echo "        <td><strong style=\"color:#080\">Session</strong></td>\n";
    echo "        <td>Sum: ".$sum[0]."</td>\n";
    echo "        <td>Avrg: ".$average[0]."</td>\n";
    echo "      </tr>\n";
    echo "    </table>\n";
    echo "    </td>\n";
    echo "  </tr>\n";
    echo "</table>\n";
}

// show access count of days
function show_day($target, $weeks, $day_arr, $title){ // YYYY-MM-dd, array
    global $AL_offset;
    global $AL_trag;
    echo "<table bgcolor=\"#ffffff\" width=\"";
    echo $width + 44;
    echo "\" border=\"1\" cellspacing=\"0\" cellpadding=\"0\">\n";
    echo "  <tr>\n";
    echo "    <td colspan=\"2\" style=\"padding:3px;\"><strong>".$title."</strong></td>\n";
    echo "  </tr>\n";
    if(count($day_arr[0]) == 0){
        echo "</table>\n";
        echo "<div>There is no data.</div>\n";
        return;
    }
    
    $days = date("t", mktime(0,0,0,(int)substr($target,5,2),1,(int)substr($target,0,4)));
    $today = (int)date("d",$now);
    if($weeks > 0){
        $width = $weeks * 7 * 18;
        $terminal = time() + ($AL_trag - $AL_offset) * 3600;
        $start = $terminal - 3600 * 24 * ($weeks * 7 -1);
    }
    else{
        $width = (int)$days * 18;
        $number_of_items = (int)$days;
        $terminal = mktime(0,0,0,(int)substr($target,5,2),(int)$days,(int)substr($target,0,4));
        $start = mktime(0,0,0,(int)substr($target,5,2),1,(int)substr($target,0,4));
    }
    $max = max($day_arr[1]);
    if($max > 0){
        $digit = ceil(log10($max));
        if($digit == 1){
            $digit = 2;
        }
        $pow10 = pow(10,$digit - 1);
        $upper = ceil($max / $pow10) * $pow10;
        $base = 120 / $upper;
    }

    echo "  <tr>\n";
    echo "    <td width=\"41\">\n";
    echo "    <table width=\"41\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\n";
    echo "      <tr height=\"22\">\n";
    echo "        <td></td>\n";
    echo "      </tr>\n";
    echo "      <tr height=\"60\">\n";
    echo "        <td valign=\"top\" align=\"center\"><strong>".$upper."</strong></td>\n";
    echo "      </tr>\n";
    echo "      <tr height=\"70\">\n";
    echo "        <td valign=\"top\" align=\"center\"><strong>".($upper/2)."</strong></td>\n";
    echo "      </tr>\n";
    echo "      <tr height=\"20\">\n";
    echo "        <td align=\"center\" style=\"background:#eee;\">H</td>\n";
    echo "      </tr>\n";
    echo "    </table>\n";
    echo "    </td>\n";
    echo "    <td width=\"".$width."\">\n";
    echo "    <table width=\"";
    echo $width;
    echo "\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\n";
    echo "      <tr height=\"152\" style=\"background:url(img/grid.gif);\">\n";
    $temp_time = $start;
    while($temp_time <= $terminal){
        $i = date("Y-m-d",$temp_time);
        $temp_day = date("Y-m-d",$temp_time);
        $query = "target=".$temp_day;
        echo "        <td width=\"18\" valign=\"bottom\" align=\"center\" style=\"font:11px;line-height:1;\">";
        if(isset($day_arr[0][$i])){
            $pv = $day_arr[1][$i];
            $sess = $day_arr[0][$i];
            if($pv > 0){
                echo "<span style=\"color:#f00;\">".substr((string)$pv,0,2)."</span><br>";
            }
            if($sess > 0){
                echo "<span style=\"color:#f80;\">".substr((string)$sess,0,2)."</span><br>";
            }
            echo "<a href=$PHP_SELF?$query>";
            echo "<img src=\"img/vline_r.gif\" width=\"6\" height=\"";
            echo round(2 + $base * $pv);
            echo "\" alt=\"page view: ".$pv." / session: ".$sess."\" border=\"0\">";
            echo "<img src=\"../dummy.gif\" border=\"0\" width=\"1\" height=\"";
            echo round(2 + $base * $sess);
            echo "\" alt=\"page view: ".$pv." / session: ".$sess."\">";
            echo "<img src=\"img/vline_or.gif\" width=\"6\" height=\"";
            echo round(2 + $base * $sess);
            echo "\" alt=\"page view: ".$pv." / session: ".$sess."\" border=\"0\"></a></td>\n";
        }
        else{
            echo "<img src=\"img/vline_r.gif\" alt=\"no access\" border=\"0\">";
            echo "<img src=\"../dummy.gif\">";
            echo "<img src=\"img/vline_or.gif\" alt=\"no access\" border=\"0\"></td>\n";
        }
        $temp_time += 3600 * 24;
    }
    echo "      </tr>\n";
    echo "      <tr height=\"20\" style=\"background:#eee;\">\n";
    $temp_time = $start;
    while($temp_time <= $terminal){
        $i = (int)date("d",$temp_time);
        $w_day = (int)date("w",$temp_time);
        if($w_day == 0){
            $i = "<span style=\"color:#f33;\">".$i."</a>";
        }
        elseif($w_day == 6){
            $i = "<span style=\"color:#33f;\">".$i."</a>";
        }
        echo "        <td align=\"center\">".$i."</td>\n";
        $temp_time += 3600 * 24;
    }
    echo "      </tr>\n";
    echo "    </table>\n";
    echo "    </td>\n";
    echo "  </tr>\n";
    echo "  <tr>\n";
    $sum[0] = array_sum($day_arr[0]);
    $average[0] = round($sum[0] * 10 / count($day_arr[0])) / 10;
    $sum[1] = array_sum($day_arr[1]);
    $average[1] = round($sum[1] * 10 / count($day_arr[1])) / 10;
    echo "    <td colspan=\"2\" align=\"right\">\n";
    echo "    <table>";
    echo "      <tr>\n";
    echo "        <td><strong style=\"color:#f00\">PV</strong></td>\n";
    echo "        <td>Sum: ".$sum[1]."</td>\n";
    echo "        <td>Avrg: ".$average[1]."</td>\n";
    echo "        <td>&nbsp;</td>\n";
    echo "        <td><strong style=\"color:#f80\">Session</strong></td>\n";
    echo "        <td>Sum: ".$sum[0]."</td>\n";
    echo "        <td>Avrg: ".$average[0]."</td>\n";
    echo "      </tr>\n";
    echo "    </table>\n";
    echo "    </td>\n";
    echo "  </tr>\n";
    echo "</table>\n";
}

// show list
function show_list($array,$title,$item,$cut_off){
    echo "<table width=\"500\" bgcolor=\"#ffffff\" border=\"1\" cellspacing=\"0\" cellpadding=\"0\">\n";
    echo "  <tr>\n";
    echo "    <td style=\"padding:3px;\"><strong>".$title."</strong></td>\n";
    echo "  </tr>\n";
    echo "</table>\n";
    if(count($array) == 0){
        echo "<div>There is no data.</div>\n";
        return;
    }
    if($item == "Year-Month"){
        ksort($array);
    }
    else{
        arsort($array);
    }
    $max = max($array);
    if($max > 0){
        $base = 500 * 0.5 * 0.8 / $max;
        $permil = 1000 / array_sum($array);
    }

    echo "<table width=\"500\" bgcolor=\"#ffffff\" border=\"1\" cellspacing=\"0\" cellpadding=\"0\" style=\"table-layout:fixed;\">\n";
    echo "  <tr>\n";
    echo "    <th width=\"40%\"><div>".$item."</div></th>\n";
    echo "    <th width=\"50%\"><div>Hit</div></th>\n";
    echo "    <th width=\"10%\"><div>%</div></th>\n";
    echo "  </tr>\n";
    $sum = 0;
    while(list($key, $val) = each($array)){
        if($val <= $cut_off){
            continue;
        }
        $sum += $val;
        if($key == ""){
            $key = "unknown";
        }
        if(eregi("^\/",$key) || eregi("^http:\/\/",$key)){
            if(eregi("http://",$key)){
                $key = "<a href=\"".$key."   \" target=\"_blank\">".$key."   </a>";
            }
            else{
                $key = "<a href=\"".$relative_addr.$key."\" target=\"_blank\">".$key."</a>";
            }
        }
        echo "  <tr>\n";
        echo "    <td>".$key."</td>\n";
        echo "    <td><img src=\"img/line.gif\" height=\"10\" width=\"";
        echo floor($base * $val);
        echo "\">&nbsp;".$val."</td>\n";
        $percent = round($permil * $val) / 10;
        echo "    <td align=\"right\">".$percent."</td>\n";
        echo "  </tr>\n";
    }
    echo "  <tr>\n";
    echo "    <th><div>Sum / All</div></th>\n";
    echo "    <td align=\"right\">".$sum." / ".array_sum($array)."</td>\n";
    echo "    <td align=\"right\">".(round($permil * $sum) / 10)."</td>\n";
    echo "  </tr>\n";
    echo "</table>\n";
}

// show day log
function show_dlog($d_log,$index){
    global $AL_trag;
    global $AL_offset;
    
    $s_log = $d_log->getSLog();
    $size = count($s_log);
    if(isset($s_log[0])){
        $time = explode(" ",$s_log[0]->getSessInfo('Time'));
        $t1 = explode("-",$time[0]);
        $t2 = explode(":",$time[1]);
        $today = date("Y-m-d", mktime((int)$t2[0],(int)$t2[1],(int)$t2[2],(int)$t1[1],(int)$t1[2],(int)$t1[0]) - ($AL_trag - $AL_offset) * 3600);
        $target = "?target=".$today;
        $mode = "&mode=log";
    }
    $i = 0;
    $link_list = "";
    while($i < $size){
        if($i + 9 < $size){ $last = $i + 9; }
        else{ $last = $size - 1; }
        $index_str = "&index=".(string)$i;
        $link_list .= "<a href=\"".$PHP_SELF.$target.$mode.$index_str."\">".($i + 1);
        if($i < $last){
            $link_list .= " - ".($last + 1)."</a>";
        }
        else{
            $link_list .= "</a>";
        }
        $i += 10;
        if($i < $size){ $link_list .= " / ";}
    }
    echo $link_list;
    if($index + 9 < $size){ $last = $index + 10; }
    else{ $last = $size; }
    for($i = $index; $i < $last; ++$i){
        show_slog($s_log[$i]);
        echo "<br>\n";
    }
    echo $link_list;
}

// show session log
function show_slog($s_log){
    echo "<table width=\"500\" bgcolor=\"#ffffff\" border=\"1\" cellspacing=\"0\" cellpadding=\"0\">\n";
    echo "  <tr>\n";
    echo "    <th width=\"30%\"><div>Host</div></th>\n";
    echo "    <td width=\"70%\" colspan=\"3\">".($s_log->getSessInfo('Host'))."</td>\n";
    echo "  </tr>\n";
    echo "  <tr>\n";
    echo "    <th width=\"30%\"><div>User Agent</div></th>\n";
    echo "    <td width=\"70%\" colspan=\"3\">".($s_log->getSessInfo('Agent'))."</td>\n";
    echo "  </tr>\n";
    echo "  <tr>\n";
    echo "    <th width=\"30%\"><div>User IP</div></th>\n";
    echo "    <td width=\"20%\">".($s_log->getSessInfo('Ip'))."</td>\n";
    echo "    <th width=\"30%\"><div>Java / JavaScript</div></th>\n";
    echo "    <td width=\"20%\">".($s_log->getSessInfo('Java'))." / ".($s_log->getSessInfo('JavaScript'))."</td>\n";
    echo "  </tr>\n";
    echo "  <tr>\n";
    echo "    <th width=\"30%\"><div>Screen</div></th>\n";
    echo "    <td width=\"20%\">".($s_log->getSessInfo('Screen'))."</td>\n";
    echo "    <th width=\"30%\"><div>Color</div></th>\n";
    echo "    <td width=\"20%\">".($s_log->getSessInfo('Color'))." bit</td>\n";
    echo "  </tr>\n";
    echo "</table>\n";
    echo "<table width=\"500\" bgcolor=\"#ffffff\" border=\"1\" cellspacing=\"0\" cellpadding=\"0\" style=\"table-layout:fixed;\">\n";
    echo "  <tr>\n";
    echo "    <td width=\"40%\" bgcolor=\"#ffff66\"><a href=\"".$relative_addr.$s_log->getSessInfo('AccUrl')."\" target=\"_blank\">";
    echo "<strong>".$s_log->getSessInfo('AccUrl')."</strong></a></td>\n";
    $ref = $s_log->getSessInfo('RefUrl');
    if(!eregi("^Bookmark$",$ref)){
        if(eregi("http://",$ref)){
            $keys = keywords($ref);
            $ref = $keys[0];
            $ref = "<a href=\"".$ref."   \" target=\"_blank\">".$ref."   </a>";
        }
        else{
            $ref = "<a href=\"".$relative_addr.$ref."\" target=\"_blank\">".$ref."</a>";
        }
    }
    echo "    <td width=\"60%\"><= ".$ref."</td>\n";
    echo "  </tr>\n";
    echo "  <tr>\n";
    echo "    <td>".$s_log->getSessInfo('Time')."</td>\n";
    $t = explode(" ",$s_log->getSessInfo('Time'));
    $t1 = explode("-",$t[0]);
    $t2 = explode(":",$t[1]);
    $acc_time1 = mktime($t2[0],$t2[1],$t2[2],$t1[1],$t1[2],$t1[0]);
    $t_log = $s_log->getSessInfo('Track');
    while(list($key,$val) = each($t_log)){
        $t = explode(" ",$val->getTrackInfo('Time'));
        $t1 = explode("-",$t[0]);
        $t2 = explode(":",$t[1]);
        $acc_time2 = mktime($t2[0],$t2[1],$t2[2],$t1[1],$t1[2],$t1[0]);
        echo "    <td><strong>".($acc_time2 - $acc_time1)." sec.</strong></td>\n";
        echo "  </tr>\n";
        echo "  <tr>\n";
        echo "    <td bgcolor=\"#ffff66\"><a href=\"".$relative_addr.$val->getTrackInfo('AccUrl')."\" target=\"_blank\">";
        echo "<strong>".$val->getTrackInfo('AccUrl')."</strong></a></td>\n";
        $ref = $val->getTrackInfo('RefUrl');
        if(!eregi("^Bookmark$",$ref)){
            if(eregi("http://",$ref)){
                $ref = "<a href=\"".$ref." \" target=\"_blank\">".$ref." </a>";
            }
            else{
                $ref = "<a href=\"".$relative_addr.$ref."\" target=\"_blank\">".$ref."</a>";
            }
        }
        echo "    <td><= ".$ref."</td>\n";
        echo "  </tr>\n";
        echo "  <tr>\n";
        echo "    <td width=\"40%\">".$val->getTrackInfo('Time')."</td>\n";
        $acc_time1 = $acc_time2;
    }
    echo "    <td> - </td>\n";
    echo "  </tr>\n";
    echo "</table>\n";
}

// show memo
function show_memo($memo_arr){
    if(count($memo_arr) > 0){
        echo "<table width=\"500\" bgcolor=\"#ffffff\" border=\"1\" cellspacing=\"0\" cellpadding=\"0\" style=\"table-layout:fixed;\">\n";
        while(list($target,$memo) = each($memo_arr)){
            echo "  <tr>\n";
            echo "    <td style=\"padding:3px;\"><strong><a href=\"index.php?target=".$target."\">".$target."</a>:</strong> ".$memo."</td>\n";
            echo "  </tr>\n";
        }
        echo "</table>\n";
        echo "<br>\n";
    }
}

// show calender with link
function calender($target){ // YYYY-MM-dd, array
    global $AL_logdir;
    global $AL_tlag;
    global $AL_offset;
    
    // target day
    if(strlen($target)>7){  
        $ta_day = substr($target,8,2);
    } else{
        $ta_day = "00";
    }
    $ta_month = substr($target,5,2);
    $ta_year = substr($target,0,4);
    $m_query = "target=$ta_year-$ta_month";

    $fday = getdate(mktime(0,0,0,(int)$ta_month,1,(int)$ta_year));
    $wday = $fday[wday];
    
    $this_month = substr($target,0,7);
    $prev_month = date("Y-m", mktime(0,0,0,(int)$ta_month-1,1,(int)$ta_year));
    $next_month = date("Y-m", mktime(0,0,0,(int)$ta_month+1,1,(int)$ta_year));

    echo "<table border=\"1\" cellspacing=\"0\" cellpadding=\"2\" bgcolor=\"#ffddbb\" width=\"130\">\n";
    echo "  <tr bgcolor=\"#ff9966\">\n";
    echo "    <td nowrap colspan=\"7\" align=\"center\">\n";
    echo "    <a href=\"".$PHP_SELF."?target=".$prev_month."\"><img src=\"img/l_arrow.gif\" border=\"0\"></a>&nbsp;&nbsp;&nbsp;\n";
    echo "    <a href=\"".$PHP_SELF."?".$m_query."\"><span class=white><b>".$ta_year."</b>-<b>".$ta_month."</b></span></a>&nbsp;&nbsp;&nbsp;\n";
    echo "    <a href=\"".$PHP_SELF."?target=".$next_month."\"><img src=\"img/r_arrow.gif\" border=\"0\"></a>\n";
    echo "    </td>\n";
    echo "  </tr>\n";
    echo "  <tr>\n";
    echo "    <td align=\"middle\"><span style=\"color:#f33;\">&#x65E5;</span></td>\n";
    echo "    <td align=\"middle\">&#x6708;</td>\n";
    echo "    <td align=\"middle\">&#x706B;</td>\n";
    echo "    <td align=\"middle\">&#x6C34;</td>\n";
    echo "    <td align=\"middle\">&#x6728;</td>\n";
    echo "    <td align=\"middle\">&#x91D1;</td>\n";
    echo "    <td align=\"middle\"><span style=\"color:#33f;\">&#x571F;</span></td>\n";
    echo "  </tr>\n";
    echo "  <tr>\n";

    if($wday > 0){
        for ($i=0; $i<$wday; $i++) { // Blank
              echo "    <td align=\"center\">&nbsp;</td>\n"; 
        }
    }
    $day = 1;
    while(checkdate((int)$ta_month,$day,(int)$ta_year)){
        $temp_day = $this_month."-".(string)(floor($day/10)).(string)($day%10); // YYYY-MM-dd
        $log_file = "../".$AL_logdir."/".$this_month."/".$temp_day."_log.txt";
        $query = "target=".$temp_day; // target=YYYY-MM-dd
        if($wday == 0 && $day != 1){
            echo "  </tr>\n";
            echo "  <tr>\n";
        }
        if(file_exists($log_file)){ // if data exist
            if(($day == $ta_day)){ // target day
              echo "    <td align=\"center\" bgcolor=\"#ffff66\"><a href=\"".$PHP_SELF."?".$query."\"> ".$day." </a></td>\n"; 
            }else{ // non-target day
                 echo "    <td align=\"center\"><a href=\"".$PHP_SELF."?".$query."\"> ".$day." </a></td>\n";
            }
        }
        else{
            if(($day == $ta_day)){ // target day
              echo "    <td align=\"center\" bgcolor=\"#ffff66\"><span class=\"fade\">".$day."</span></td>\n"; 
            }else{ // non-target day
                 echo "    <td align=\"center\"><span class=\"fade\">".$day."</span></td>\n";
            }
        }
        ++$day;
        ++$wday;
        $wday = $wday % 7;
        $temp_epoch = $temp_epoch + 3600 * 24;
    }
    if($wday > 0){
        while($wday < 7) { // Blank
            echo "    <td align=\"center\">&nbsp;</td>\n";
            $wday++;
        }
    }
    echo "  </tr>\n";
    echo "</table>\n";
}
?>
